% Numerical tests for the periodic approximately sparse case
% using tensor product Fourier basis in D = 10 spatial dimensions.
% Test function is sum of tensor products of B-Splines of different order.

clear
addpath ../sublin_cosamp_v2
addpath ../fct_bspline_periodic

trial_n = 3;
N_array = 64;
s_array = [50 100]; %[100 200 500 1000];
m1_fac = 3;
cosamp_max_iter = 20;
tau = 1e-12;

sublin_cosamp_v2_fourier_bspline10_run(trial_n, N_array, s_array, m1_fac, cosamp_max_iter, tau);

print_fourier_bspline10_errors
